| Home | Libraries | People | FAQ | More

## BoostBook element `static-constant`

static-constant — Declares a static constant, e.g., `const int foo = 5;`.

## Synopsis

static-constant ::= (type, default, purpose?, description?)

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2009-10-10 15:53:46 +0100 (Sat, 10 Oct 2009) $ to keep "last revised" information in sync with CVS changes
name | #REQUIRED | CDATA | The name of the element being declared to referenced
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes